#ifndef __SRRESEARCH__GRAPHICS_GLOBAL_H__
#define __SRRESEARCH__GRAPHICS_GLOBAL_H__

#include "core_expt.h"
#include <sdl/sdl.h>




void ELCALLBACK clear_cal_display(void);
INT16  ELCALLBACK  setup_cal_display(void);
void ELCALLBACK exit_cal_display(void);
INT16 ELCALLBACK setup_image_display(INT16 width, INT16 height);
void ELCALLBACK image_title(INT16 threshold, char *cam_name);
void ELCALLBACK draw_image_line(INT16 width, INT16 line, INT16 totlines, byte *pixels);
void ELCALLBACK set_image_palette(INT16 ncolors, byte r[], byte g[], byte b[]);
void ELCALLBACK exit_image_display(void);
void ELCALLBACK erase_cal_target(void);
void ELCALLBACK  draw_cal_target(INT16 x, INT16 y);
void ELCALLBACK cal_target_beep(void);
void ELCALLBACK dc_done_beep(INT16 error);
void ELCALLBACK dc_target_beep(void);
void ELCALLBACK cal_done_beep(INT16 error);
INT16 ELCALLBACK get_input_key(InputEvent *key_input);

int ELCALLBACK writeImage(char *outfilename, int format, EYEBITMAP *bitmap);



extern SDL_Surface *mainWindow;
#endif

